Loading...
Searching...
No Matches
ISMRMRD::ImageHeader Class Reference
C++ API

Header for MR Image type. More...

`#include <ismrmrd.h>`

Inheritance diagram for ISMRMRD::ImageHeader:

## Public Member Functions

bool | isFlagSet (const uint64_t val) const
void | setFlag (const uint64_t val)
void | clearFlag (const uint64_t val)
void | clearAllFlags ()

## Additional Inherited Members

Public Attributes inherited from ISMRMRD::ISMRMRD_ImageHeader
uint16_t | version
uint16_t | data_type
uint64_t | flags
uint32_t | measurement_uid
uint16_t | matrix_size [3]
float | field_of_view [3]
uint16_t | channels
float | position [3]
float | read_dir [3]
float | phase_dir [3]
float | slice_dir [3]
float | patient_table_position [3]
uint16_t | average
uint16_t | slice
uint16_t | contrast
uint16_t | phase
uint16_t | repetition
uint16_t | set
uint32_t | acquisition_time_stamp
uint32_t | physiology_time_stamp [ISMRMRD_PHYS_STAMPS]
uint16_t | image_type
uint16_t | image_index
uint16_t | image_series_index
int32_t | user_int [ISMRMRD_USER_INTS]
float | user_float [ISMRMRD_USER_FLOATS]
uint32_t | attribute_string_len

## Detailed Description

Header for MR Image type.

The documentation for this class was generated from the following files:

- ismrmrd.h
- ismrmrd.cpp